/**
 * @file
 * CKEditor height.
 */

/**
 * Decorates ckeditor.attach so rows determine height if given.
 */
Drupal.editors.ckeditor.attach = function(method) {
  return function (element, format)
  {
    var rows = element.getAttribute("rows");
    if (rows) {
      const offset = drupalSettings.ckeditorheight.offset || 1;
      const line_height = drupalSettings.ckeditorheight.line_height || 1.5;
      const unit = drupalSettings.ckeditorheight.unit || 'em';

      var height = (rows * line_height + offset);
      var height_with_unit = height + unit;

      format.editorSettings.height = height_with_unit;
      CKEDITOR.config.autoGrow_onStartup = false;
      CKEDITOR.config.autoGrow_minHeight = height_with_unit;
    }
    return method.apply(this, [element, format]);
  }
}(Drupal.editors.ckeditor.attach);
